Subject: Re: [Fwd: [Tsvwg] Re: Comments on rev-03: Quick-Start for TCP & IP]

From: "Arjuna Sathiaseelan" <[email-masked]>
Date: Thu, 25 May 2006 20:58:09 +0100

Dear Sally,
  I guess what you said holds true for high bit rate codecs such as the
G.711 which encodes at 64Kbps. But there are several codecs such as the
G728, G.729a, AMR which use very low bit rates. For eg a G.729 codec could
need 16Kbps (assuming 2 * 10ms intervals) or 32Kbps (assuming 4*10ms
intervals) + header size for the packets. Moreover with the advent of Robust
header compression techniques, the required rate would be reduced. So we
believe that having a 80Kbps rate would be high if these type of low bit
rate apps requiring to use QS to improve their performance.

Regards,
Arjuna

>
>
> Good question.
>
> Let's assume that no apps need to send small packets more frequently than
> every 20 ms.  RFC 3390 pretty much takes care of the needs of a flow with
> a 100 ms RTT, allowing an initial window of four small packets, so let's
> assume a flow with a 200 ms RTT.  The current
> lowest rate of 80 kbps (= 10 kBps) allows an initial rate of 2000
> bytes/RTT, or 10 200-byte packets per RTT.  RFC 3390 already allows four
> small packets per RTT, so the current low rate of 80 kbps is
> roughly twice as large, for a flow with a 200 ms RTT.  My hit would be
> that allowing a lower rate request of 40 kbps isn't really needed, even
> for flows that send small packets every 20 ms.
>
> <snip>
>
> Many thanks for the feedback.
>
> - Sally
> http://www.icir.org/floyd/
>
>
>

-- 
Regards,
Arjuna

Postdoctoral Researcher
Engineering Research Lab,
Department of Engineering,
University of Aberdeen

---

From: "Arjuna Sathiaseelan" <[email-masked]>
Date: Fri, 26 May 2006 09:46:12 +0100

Oops - I think I have muddled it up! Sorry! By increasing the sampling
interval, we actually end up having smaller bit rates! I got my calculation
wrong there!

-Arjuna

-- 
Regards,
Arjuna

Postdoctoral Researcher